task arcashla {
    File bam
    String base = basename(bam, ".bam")
    String docker
    String cluster

    command <<<
       mkdir hla_type
       /root/arcasHLA/arcasHLA extract ${bam} -o ${base} --paired -t 8 -v
       /root/arcasHLA/arcasHLA genotype ${base}/${base}.extracted.1.fq.gz ${base}/${base}.extracted.2.fq.gz -g A,B,C,DPB1,DQB1,DQA1,DRB1 -o hla_type -t 8 -v
    >>>

    runtime {
       docker: docker
       cluster: cluster
       systemDisk: "cloud_ssd 40"
       dataDisk: "cloud_ssd 200 /cromwell_root/"
    }

    output {
      File extracted_1p = "${base}/${base}.extracted.1.fq.gz"
      File extracted_2p = "${base}/${base}.extracted.2.fq.gz"
      Array[File] hla_type = ["hla_type/${base}.genotype.json", "hla_type/${base}.genes.json", "hla_type/${base}.genotype.log"]
    }

}

